local level_id = Global.level_data and Global.level_data.level_id or ""

if Global.editor_mode or level_id == "modders_devmap" or level_id == "Enemy_Spawner" then
	return
end

Hooks:PostHook(ElementPlayerSpawner, "init", "set_default_to_maskoff", function(self)
	local level_data = tweak_data.levels[level_id]
	
	if self._values.state == "standard" and level_data.ghost_bonus and not level_data.custom then
		self._values.state = "mask_off"
	end
end)