local level_id = Global.level_data and Global.level_data.level_id or ""

if Global.editor_mode or level_id == "modders_devmap" or level_id == "Enemy_Spawner" then
	return
end

Hooks:PostHook(ElementSecurityCamera, "init", "_tweak_security_cams", function(self, unit)
	if level_id == "sah" then
		if self:id() == 100274 or self:id() == 100278 then
			self._values.detection_delay_max = 0.1
			self._values.detection_range = 15
			self._values.suspicion_range = 15
		end
	elseif level_id == "red2" then
		local cams = {
			[105589] = true,
			[105300] = true,
			[105290] = true,
			[105295] = true,
			[105310] = true,
			[105315] = true,
			[105629] = true,
			[105644] = true,
		}
		
		if cams[self:id()] then
			self._values.detection_delay_max = 0.1
			self._values.detection_range = 15
			self._values.suspicion_range = 15
		elseif self:id() == 105260 then
			self._values.detection_range = 25
			self._values.suspicion_range = 25
		end
	elseif level_id == "dah" then
		self._values.detection_delay_max = 0.1
	end
end)