local level_id = Global.level_data and Global.level_data.level_id or ""

Hooks:PostHook(CharacterTweakData, "init", "pd3_tweaks", function(self)
	self.swat.speech_prefix_p2 = "d"
	self.fbi_swat.speech_prefix_p2 = "d"
	self.city_swat.speech_prefix_p2 = "d"
	self.marshal_shield_break.speech_prefix_p2 = "d"
	self.heavy_swat.speech_prefix_p2 = "d"
	self.fbi_heavy_swat.speech_prefix_p2 = "d"
	self.city_swat.speech_prefix_p2 = "d"
	
	self.medic.suppression = nil
	self.sniper.suppression = nil
	self.fbi.suppression = self.presets.suppression.hard_def
	self.swat.suppression = self.presets.suppression.hard_def
	self.heavy_swat.suppression = self.presets.suppression.hard_def
	self.heavy_swat_sniper.suppression = self.presets.suppression.hard_agg
	self.fbi_swat.suppression = self.presets.suppression.hard_agg
	self.fbi_heavy_swat.suppression = self.presets.suppression.hard_agg
	self.city_swat.suppression = self.presets.suppression.hard_agg
	
	self.security.surrender = self.presets.surrender.easy
	self.gensec.surrender = self.presets.surrender.easy
	self.cop.surrender = self.presets.surrender.normal
	self.fbi.surrender = self.presets.surrender.normal
	self.swat.surrender = self.presets.surrender.hard
	self.heavy_swat.surrender = self.presets.surrender.hard
	self.fbi_swat.surrender = self.presets.surrender.special
	self.fbi_heavy_swat.surrender = self.presets.surrender.special
end)

Hooks:OverrideFunction(CharacterTweakData, "_multiply_all_speeds", function(self, walk_mul, run_mul) end)
Hooks:OverrideFunction(CharacterTweakData, "_multiply_all_hp", function(self, hp_mul, hs_mul)
	if self.heavy_swat_sniper.headshot_dmg_mul then
		self.heavy_swat_sniper.headshot_dmg_mul = self.heavy_swat_sniper.headshot_dmg_mul * hs_mul
	end

	if self.sniper.headshot_dmg_mul then
		self.sniper.headshot_dmg_mul = self.sniper.headshot_dmg_mul * hs_mul
	end

	if self.marshal_marksman.headshot_dmg_mul then
		self.marshal_marksman.headshot_dmg_mul = self.marshal_marksman.headshot_dmg_mul * hs_mul
	end
end)